{
  "format_version": "1.21.40",
  "minecraft:single_block_feature": {
    "description": {
      "identifier": "mnp_ci:mnp/ci/grass/fragmities"
    },
    "enforce_placement_rules": true,
    "randomize_rotation": true,
    "enforce_survivability_rules": true,
    "places_block": [
      {
        "block": "mnp_ci:phragmite_1",
        "weight": 2
      },
      {
        "block": "mnp_ci:phragmite_2",
        "weight": 2
      }
    ],
    "may_attach_to": {
      "bottom": [
        "minecraft:sand"
      ]
    },
    "may_replace": [
      "minecraft:air"
    ],
    "may_not_attach_to": {
      "all": [
        "minecraft:farmland",
        "mnp_ci:palm_leaves"
      ],
      "bottom": [
        "minecraft:grass_path",
        "minecraft:sandstone_slab",
        "minecraft:sandstone",
        "minecraft:sandstone_stairs"
      ],
      "sides": [
        "minecraft:sand",
        "minecraft:sandstone_slab",
        "minecraft:sandstone",
        "minecraft:sandstone_stairs"
      ]
    }
  }
}